SEM_POST(3)

NAME
sem_post - increment (unlock) a semaphore

SYNOPSIS
libpthread
#include <semaphore.h>
int
sem_post(sem_t *sem);

DESCRIPTION
The sem_post() function increments (unlocks) the semaphore pointed to by sem. If there are threads blocked on the semaphore when sem_post() is called, then the highest priority thread that has been blocked the longest on the semaphore will be allowed to return from sem_wait(3).

sem_post() is signal-reentrant and may be called within signal handlers.

RETURN VALUES

ERRORS
sem_post() will fail if:

[EINVAL]
    sem points to an invalid semaphore.

SEE ALSO
sem_destroy(3), sem_getvalue(3), sem_init(3), sem_open(3), sem_wait(3)

STANDARDS
sem_post() conforms to p1003.1-96.